import { Component, Emit, Prop, Vue, Watch } from 'vue-property-decorator';
import { Measure, MeasureConfig, MeasureType, Measurement, MeasurementMeta } from '@/models';

@Component({})
export class TextEntry extends Vue {
  @Prop() public measure!: Measure<MeasureConfig>;
  @Prop() public value!: Measurement<MeasurementMeta>;
  @Prop() public disabled!: boolean;
  private editTimestamp: boolean = false;

}

export default TextEntry;
